0

When runnig jmeter on the Linux OS from GUI mode it fails. The part of log file is below

org.openqa.selenium.WebDriverException: Failed to connect to binary FirefoxBinary(/usr/bin/firefox) on port 7055; process output follows: null Build info: version: '2.52.0', revision: '4c2593cfc3689a7fcd7be52549167e5ccc93ad28', time: '2016-02-11 11:22:43' System info: host: 'qa.russvet.ru', ip: '10.10.10.150', os.name: 'Linux', os.arch: 'amd64', os.version: '2.6.32-642.el6.x86_64', java.version: '1.8.0_162' Driver info: driver.version: FirefoxDriver at org.openqa.selenium.firefox.internal.NewProfileExtensionConnection.start(NewProfileExtensionConnection.java:129) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.FirefoxDriver.startClient(FirefoxDriver.java:271) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.remote.RemoteWebDriver.(RemoteWebDriver.java:119) ~[selenium-remote-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.FirefoxDriver.(FirefoxDriver.java:216) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.FirefoxDriver.(FirefoxDriver.java:211) ~[selenium-firefox-driver-2.52.0.jar:?] at com.googlecode.jmeter.plugins.webdriver.config.FirefoxDriverConfig.createBrowser(FirefoxDriverConfig.java:100) ~[jmeter-plugins-webdriver-2.3.jar:?] at com.googlecode.jmeter.plugins.webdriver.config.FirefoxDriverConfig.createBrowser(FirefoxDriverConfig.java:21) ~[jmeter-plugins-webdriver-2.3.jar:?] at com.googlecode.jmeter.plugins.webdriver.config.WebDriverConfig.getPreparedBrowser(WebDriverConfig.java:233) ~[jmeter-plugins-webdriver-2.3.jar:?] at com.googlecode.jmeter.plugins.webdriver.config.WebDriverConfig.threadStarted(WebDriverConfig.java:220) ~[jmeter-plugins-webdriver-2.3.jar:?] at org.apache.jmeter.threads.JMeterThread$ThreadListenerTraverser.addNode(JMeterThread.java:676) [ApacheJMeter_core.jar:4.0 r1823414] at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:994) [jorphan.jar:4.0 r1823414] at org.apache.jorphan.collections.HashTree.traverse(HashTree.java:977) [jorphan.jar:4.0 r1823414] at org.apache.jmeter.threads.JMeterThread.threadStarted(JMeterThread.java:644) [ApacheJMeter_core.jar:4.0 r1823414] at org.apache.jmeter.threads.JMeterThread.initRun(JMeterThread.java:632) [ApacheJMeter_core.jar:4.0 r1823414] at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:246) [ApacheJMeter_core.jar:4.0 r1823414] at java.lang.Thread.run(Thread.java:748) [?:1.8.0_162] Caused by: org.openqa.selenium.firefox.UnableToCreateProfileException: java.io.IOException: Can only install from a zip file, an XPI or a directory: /qa/jmeter/apache-jmeter-4.0/bin Build info: version: '2.52.0', revision: '4c2593cfc3689a7fcd7be52549167e5ccc93ad28', time: '2016-02-11 11:22:43' System info: host: 'qa.russvet.ru', ip: '10.10.10.150', os.name: 'Linux', os.arch: 'amd64', os.version: '2.6.32-642.el6.x86_64', java.version: '1.8.0_162' Driver info: driver.version: FirefoxDriver at org.openqa.selenium.firefox.FirefoxProfile.layoutOnDisk(FirefoxProfile.java:427) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.internal.NewProfileExtensionConnection.start(NewProfileExtensionConnection.java:85) ~[selenium-firefox-driver-2.52.0.jar:?] ... 15 more Caused by: java.io.IOException: Can only install from a zip file, an XPI or a directory: /qa/jmeter/apache-jmeter-4.0/bin at org.openqa.selenium.firefox.internal.FileExtension.writeTo(FileExtension.java:55) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.FirefoxProfile.installExtensions(FirefoxProfile.java:443) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.FirefoxProfile.layoutOnDisk(FirefoxProfile.java:421) ~[selenium-firefox-driver-2.52.0.jar:?] at org.openqa.selenium.firefox.internal.NewProfileExtensionConnection.start(NewProfileExtensionConnection.java:85) ~[selenium-firefox-driver-2.52.0.jar:?] ... 15 more

I suppose the main error is "Caused by: java.io.IOException: Can only install from a zip file, an XPI or a directory: /qa/jmeter/apache-jmeter-4.0/bin at org.openqa.selenium.firefox.internal.FileExtension.writeTo(FileExtension.java:55) ~[selenium-firefox-driver-2.52.0.jar:?]"

Did anybody ever met this error? On Windows 7 or 10 it works fine.

os.name: 'Linux', os.arch: 'amd64', os.version: '2.6.32-642.el6.x86_64' java.version: '1.8.0_162'

Versions: jmeter version 4.0 Jmeter's plugin "Selenium webdriver support" v 2.3 Selenium firefox driver v 2.52 Firefox v 45.5.0 ESR

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.